You are not logged in.

#26 2012-01-16 22:44:13

Earnestly
Member
Registered: 2011-08-18
Posts: 804

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

Did you edit pacman.conf and uncommented 'SigLevel = Optional TrustAll'?

Temporarily added "SigLevel = Never" to my current pacman.conf, just adding the master keys and reading through the documents and manuals.

Edit: If you were referring to my last sentence in the parenthesis, then no, I hadn't done that yet, but I'm getting there. I had a feeling pacman4 was coming when it asked for me to upgrade pacman itself, so I deliberately checked the news on the main page, but at the time there was nothing. But since you've linked it I've had a chance to read through things. Should be fine in a tic, thanks again. smile

Last edited by Earnestly (2012-01-16 22:47:02)

Offline

#27 2012-01-16 22:45:05

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

I think 'SigLevel = Never' is already there :-)

Offline

#28 2012-01-16 22:45:56

ratcheer
Member
Registered: 2011-10-09
Posts: 505

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

Did you edit pacman.conf and uncommented 'SigLevel = Optional TrustAll'?

I got mine working by doing this. Is it supposed to be removed at some time in the future? If so, how do I know when to do it?

Thanks,
Tim

Offline

#29 2012-01-16 22:50:00

Earnestly
Member
Registered: 2011-08-18
Posts: 804

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

I think 'SigLevel = Never' is already there :-)

I'm still using my original pacman.conf, just now reviewing the pacman.conf.pacnew, so I wouldn't have received the new options.

Offline

#30 2012-01-16 22:52:25

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

After a pacnew file is created, the first thing you should do is to merge it. In this case, running pacman before merging pacman.conf.pacnew makes little sense.

Offline

#31 2012-01-16 23:00:56

David Batson
Member
Registered: 2011-10-13
Posts: 640

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

After a pacnew file is created, the first thing you should do is to merge it. In this case, running pacman before merging pacman.conf.pacnew makes little sense.

I wasn't sure what you meant by that, but I renamed /etc/pacman.conf to /etc/pacman.conf.old, then I renamed /etc/pacman/pacman.conf.pacnew to /etc/pacman/pacman.conf.  Seems to work now.

Offline

#32 2012-01-16 23:03:48

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

You should read https://wiki.archlinux.org/index.php/Pa … save_Files
Renaming means you've lost all the configuration you've done to the old file.

Offline

#33 2012-01-16 23:10:01

David Batson
Member
Registered: 2011-10-13
Posts: 640

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

You should read https://wiki.archlinux.org/index.php/Pa … save_Files
Renaming means you've lost all the configuration you've done to the old file.

Now you tell me!  [Just kidding]

I have not consciously done any configuring to pacman.conf in the past, so I guess I'm good to go. wink

Offline

#34 2012-01-16 23:11:47

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

It's still not to late to double-check if you have ;P

Renaming e.g. rc.conf in such manner wouldn't end up so nice.

Offline

#35 2012-01-16 23:12:58

spark666
Member
Registered: 2011-05-23
Posts: 137

Re: [SOLVED] Pacman wont upgrade any packages

I removed yaourt ,pacman-color and package-query (pacman -Rns yaourt pacman-color package-query) and then i did again pacman -Syyu and it worked

Offline

#36 2012-01-16 23:13:52

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

package-query now supports pacman 4 so yo can rebuild it and reinstall (and yaourt too).

Last edited by karol (2012-01-16 23:14:43)

Offline

#37 2012-01-16 23:16:34

spark666
Member
Registered: 2011-05-23
Posts: 137

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

package-query now supports pacman 4 so yo can rebuild it and reinstall (and yaourt too).

yes of course,but i removed them first,and reinstalled after

Offline

#38 2012-01-16 23:29:22

viking60
Member
From: Valhalla
Registered: 2010-08-02
Posts: 95
Website

Re: [SOLVED] Pacman wont upgrade any packages

karol wrote:

Your packages are your problem. If some of them are out of date you might end up in dependency hell.


Edit: Have you tried answering 'Yes'? It should work too: first you update pacman, merge pacnew files and run pacman again to update the rest of the system.

I have tried "yes" and it did not work - and yes; I was a lazy boy doing my daily pacman -Syu (So all/most files were up to date) when the problem occurred.
After answering "no" I got the update and the pacman.conf.pacnew file which I merged with pacman.conf (I am using meld). And went back to my pacman -Syu routine smile
Everything works fine now Including packer so I have a warm and cuddly feeling inside. Thanks to the guys in this forum.

Last edited by viking60 (2012-01-16 23:46:23)


"Common sense is not common"

Offline

#39 2012-01-17 12:06:34

tolmun
Member
Registered: 2011-12-04
Posts: 8

Re: [SOLVED] Pacman wont upgrade any packages

Same issue soldved with purge yaourt and package-query hmm

$ pacman -Syyu
....
.... ....
# resolving dependencies...
# looking for inter-conflicts...
# error: failed to prepare transaction (could not satisfy dependencies)
# :: package-query: requires pacman<3.6

$ pacman -Rns yaourt package-query
$ pacman -Syyu

#Output:
Targets (10): libarchive-3.0.3-2  pth-2.0.7-4  gnupg-1.4.11-3  libksba-1.2.0-1  libassuan-2.0.3-1  pinentry-0.8.1-3
              dirmngr-1.1.0-3  gnupg2-2.0.18-1  gpgme-1.3.1-2  pacman-4.0.1-4

$ sudo mv /etc/pacman.conf ~/pacman.conf.backup
$ sudo mv /etc/pacman.conf.pacnew /etc/pacman.conf 

$ sudo pacman-key --init
$ pacman -Syyu

And than reinstall unistalled.

spark666 wrote:

yes of course,but i removed them first,and reinstalled after

Last edited by tolmun (2012-01-17 20:37:52)

Offline

#40 2012-01-17 13:29:17

Lennie
Member
From: Sweden
Registered: 2011-10-12
Posts: 146

Re: [SOLVED] Pacman wont upgrade any packages

Now I get confused in which order to do this. What happen if I upgrade pacman together with the other updates? I don't get more chances to update pacman first.

sudo pacman -Syu
Password: 
:: Synchronizing package databases...
 core                    106.6K  125.6K/s 00:00:01 [######################] 100%
 extra                  1179.5K  346.7K/s 00:00:03 [######################] 100%
 community              1016.4K  419.7K/s 00:00:02 [######################] 100%
:: The following packages should be upgraded first :
    pacman
:: Do you want to cancel the current operation
:: and upgrade these packages now? [Y/n] y

resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: pyalpm: requires pacman<3.6

I tried to just upgrade pyalpm (pacman -S pyalpm) but then I got all updates too. So I instead uninstalled pyalpm, and try to update pacman, but I can't update only pacman.

sudo pacman -S pacman
resolving dependencies...
looking for inter-conflicts...

Targets (10): libarchive-3.0.3-2  pth-2.0.7-4  gnupg-1.4.11-3  libksba-1.2.0-1
              libassuan-2.0.3-1  pinentry-0.8.1-3  dirmngr-1.1.0-3
              gnupg2-2.0.18-1  gpgme-1.3.1-2  pacman-4.0.1-4

Total Download Size:    5.21 MB
Total Installed Size:   20.09 MB

Proceed with installation? [Y/n] n

Is it safe to continue?

Offline

#41 2012-01-17 14:07:42

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

@Lennie
You obviously have to update pacman's dependencies too :-)
Yes, it's safe to continue.


tolmun wrote:

$ sudo mv /etc/pacman.conf /etc/pacman.conf.backup
$ sudo mv /etc/pacman.conf.pacnew /etc/pacman.conf

While it may be save in this situation, simply moving pacnew files is not 'careful merging' and if you do this to your rc.conf it will cause problems.

Offline

#42 2012-01-17 14:35:49

Lennie
Member
From: Sweden
Registered: 2011-10-12
Posts: 146

Re: [SOLVED] Pacman wont upgrade any packages

hehe, I never thought pacman could have dependencies... :-)

But one strange thing. I also have Arch as Virtualbox guest, and when I installed the updates for it, I didn't got the pacnew file. I got it for my main system, so I can just copy it. But it makes me wonder if there's something wrong with the mirror? (I've changed now.)
The mirror I had uncommented was:
Server = http://ftp.portlane.com/pub/os/linux/ar … o/os/$arch
Server = http://ftp.lysator.liu.se/pub/archlinux/$repo/os/$arch
According to the Mirror Status, and both of them are good.

Offline

#43 2012-01-17 15:39:56

doblerone
Member
Registered: 2011-12-08
Posts: 152

Re: [SOLVED] Pacman wont upgrade any packages

So finally, what do I have to do?Uninstall yaourt and pacman-query???Reinstalled all after that???
I'm a bit lost!!!

Offline

#44 2012-01-17 15:41:52

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

doblerone wrote:

So finally, what do I have to do?Uninstall yaourt and pacman-query???Reinstalled all after that???
I'm a bit lost!!!

Short answer: yes.


Don't know what exactly do you mean by 'reinstall all', but you can reinstall yaourt and pacman-query.
You should drop the extra '!'s and '?'s.

Offline

#45 2012-01-17 15:50:52

tolmun
Member
Registered: 2011-12-04
Posts: 8

Re: [SOLVED] Pacman wont upgrade any packages

What i need to expect?

karol wrote:

@Lennie
You obviously have to update pacman's dependencies too :-)
Yes, it's safe to continue.

tolmun wrote:

$ sudo mv /etc/pacman.conf /etc/pacman.conf.backup
$ sudo mv /etc/pacman.conf.pacnew /etc/pacman.conf

While it may be save in this situation, simply moving pacnew files is not 'careful merging' and if you do this to your rc.conf it will cause problems.

Offline

#46 2012-01-17 15:53:00

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

You will lose all your settings. rc.conf doesn't auto-configure your locale, network etc. so you will have to edit the new rc.conf to add it there.

Last edited by karol (2012-01-17 15:53:44)

Offline

#47 2012-01-17 16:13:00

doblerone
Member
Registered: 2011-12-08
Posts: 152

Re: [SOLVED] Pacman wont upgrade any packages

This is what I do:

$ sudo pacman -Rdd package-query
$ sudo pacman -Syu
$ sudo pacman -S package-query
$ sudo mv /etc/pacman.conf /etc/pacman.conf.backup
$ sudo mv /etc/pacman.conf.pacnew /etc/pacman.conf
$ sudo pacman-key --init
$ sudo pacman -Syyu

Anything else?

I'm sorry but I'm a newbie in Arch!

Offline

#48 2012-01-17 16:13:55

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

Offline

#49 2012-01-17 16:48:07

SuperRaWR
Member
From: Sylvan Lake, AB
Registered: 2011-09-18
Posts: 9
Website

Re: [SOLVED] Pacman wont upgrade any packages

Update pacman then switch your configs? 

mv /etc/pacman.conf /etc/pacman.conf.old ; mv /etc/pacman.conf.pacnew /etc/pacman.conf

Offline

#50 2012-01-17 16:50:54

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: [SOLVED] Pacman wont upgrade any packages

You can do it however you like, I did

vimdiff /etc/pacman.conf /etc/pacman.conf.pacnew
vimdiff /etc/makepkg.conf /etc/makepkg.conf.pacnew

Offline

Board footer

Powered by FluxBB